StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Macros | Functions
Versioning

## Macros
#define | STARPU_MAJOR_VERSION
#define | STARPU_MINOR_VERSION
#define | STARPU_RELEASE_VERSION

## Functions
void | starpu_get_version (int *major, int *minor, int *release)

## Detailed Description

## Macro Definition Documentation

#define STARPU_MAJOR_VERSION

Define the major version of StarPU. This is the version used when compiling the application.

#define STARPU_MINOR_VERSION

Define the minor version of StarPU. This is the version used when compiling the application.

#define STARPU_RELEASE_VERSION

Define the release version of StarPU. This is the version used when compiling the application.

## Function Documentation

void starpu_get_version | ( | int * | major,
|  | int * | minor,
|  | int * | release
| ) |  |

Return as 3 integers the version of StarPU used when running the application.